Modifying Wiepouts in Blocks

Discussion in 'AutoCAD' started by Robert Plummer, Apr 19, 2004.

  1. We have a series of annotation symbols with wipeouts in them. We are
    considering putting the wipeouts on a separate later. How can I select all
    the wipeouts in a block and put them on a new layer?
     
    Robert Plummer, Apr 19, 2004
    #1
  2. Robert Plummer

    Mark Propst Guest

    something like
    For Each obj in oBlockDef
    If TypeOf obj Is AcadWipeout (or whatever the class name is) then
    obj.Layer = sWipeoutLayer
    End IF
    Next
    ?
    hth
    Mark
     
    Mark Propst, Apr 19, 2004
    #2
  3. what is the class name? is it AcadWipeout?

     
    Robert Plummer, Apr 19, 2004
    #3
  4. Robert Plummer

    Mark Propst Guest

    since I don't use wipeouts I don't know.
    I see that it's not in their list of objects,
    guess you'll have to look that up.
     
    Mark Propst, Apr 20, 2004
    #4
  5. Tried that and similar arguments, but no luck. Can't seem to get to the
    Wipeouts. Thanks for the suggestions, though.
     
    Robert Plummer, Apr 20, 2004
    #5
  6. Robert Plummer

    Mark Propst Guest

    don't know why it's not listed
    you can also try
    if obj.objectname = "AcDbWipeout"
     
    Mark Propst, Apr 20, 2004
    #6
  7. Robert Plummer

    Mark Propst Guest

    did you try a google search?
     
    Mark Propst, Apr 20, 2004
    #7
  8. Robert Plummer

    Jeff Mishler Guest

    Could you post a small sample drawing with the blocks already inserted?

    Jeff
     
    Jeff Mishler, Apr 20, 2004
    #8
  9. Robert Plummer

    LochDhu Guest

    A wipeout is a raster image:

    If TypeOf obj Is IAcadRasterImage then

    Good Luck,

    Scott
     
    LochDhu, Apr 20, 2004
    #9
  10. Thanks. This did the trick. This and a fix in one typographical error I
    had made.
     
    Robert Plummer, Apr 20, 2004
    #10
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.